###############
# Ansible generated config, will be overwritten!
###############

{{ "General" | comment }}

auto lo
iface lo inet loopback
    address {{ devices[inventory_hostname].interfaces.loopback.ipv4 }}
{% if devices[inventory_hostname].interfaces.mlag is defined %}
    clagd-vxlan-anycast-ip {{ devices[inventory_hostname].interfaces.loopback.clag }}
{% endif %}

auto mgmt
iface mgmt
    vrf-table auto
    address 127.0.0.1/8

auto eth0
iface eth0 inet dhcp
    vrf mgmt

{% include 'vrfs.j2' %}
{% include 'l3vnis.j2' %}
{% include 'fabric_links.j2' %}
{% include 'bridge.j2' %}
{% include 'l2vnis.j2' %}
{% include 'svis.j2' %}
{% include 'mlag.j2' %}
{% include 'bonds.j2' %}
